## com.bbn.openmap.layer.test
Class TestLayer.Rect

    java.lang.Object
      com.bbn.openmap.layer.test.TestLayer.GraphicBase
          com.bbn.openmap.layer.test.TestLayer.Line
              com.bbn.openmap.layer.test.TestLayer.Rect

Enclosing class:
  TestLayer

protected class TestLayer.Rect
extends TestLayer.Line

Field Summary

Fields inherited from class com.bbn.openmap.layer.test.TestLayer.Line
`arrowhead, arrowtype`

Fields inherited from class com.bbn.openmap.layer.test.TestLayer.GraphicBase
`fillColor, height, isFilled, lineColor, llpts, nsegs, radius, rt, type, visible, width, xypts`

Constructor Summary
`TestLayer.Rect()`

Methods inherited from class com.bbn.openmap.layer.test.TestLayer.Line
`getGUI, makeArrowHeadGUI`

Methods inherited from class com.bbn.openmap.layer.test.TestLayer.GraphicBase
`getOKButton, makeColorBox, makeFillCheckBox, setLLCoordinate, setRender, setSegs, setType, setXYCoordinate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestLayer.Rect

    public TestLayer.Rect()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details